﻿@model EmploymentInfoModel
<link href="~/css/wizard.css" rel="stylesheet" />
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Edit Retirement Plan</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="saveespinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="EmploymentInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteEsp">
            <div class="modal-body min-h-375px">
                <input asp-for="Esp.Guid" type="hidden" />
                <input asp-for="Occupation.EmploymentOf" value="@((int)Model.Occupation.EmploymentOf)" type="hidden" />
                <input id="EmploymentStatus" value="@((int)Model.Occupation.EmploymentStatus)" type="hidden" />
                <input asp-for="Occupation.Occupation" type="hidden" />

                <div class="stepwizard mb-5 d-none">
                    <div class="stepwizard-row setup-panel">
                        <div class="stepwizard-step d-none" data-toggle="tooltip" data-theme="dark" data-original-title="Retirement Plan">
                            <button data-order="4" data-target="#step-4" type="button" class="btn btn-icon btn-sm btn-circle btn-default">3</button>
                        </div>
                        <div class="stepwizard-step d-none" data-toggle="tooltip" data-theme="dark" data-original-title="Defined Benefit Pension Plan">
                            <button data-order="5" data-target="#step-5" type="button" class="btn btn-icon btn-sm btn-circle btn-default">4</button>
                        </div>
                    </div>
                </div>
                <partial name="EspInfo/_EspWizard" />
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_next" type="button">
                    Next<i class="flaticon2-fast-next ml-3"></i>
                </button>
                <button class="btn btn-primary font-weight-bold px-6 py-2 d-none" id="btn_submit_modal">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script src="~/js/occupation-wizard.js" asp-append-version="true"></script>
<script id="esp-template" type="text/html">
    <div id="espinfo-${espInfo.guid}">
        <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100" style="border:1px solid ${espInfo.color}">
            <div class="card-header heir-header" style="background:${espInfo.color}">
                <span class="card-title font-weight-bold font-size-h4 text-white w-75">
                    ${espInfo.clientOccupation.employerTitle}
                </span>
                <div class="card-toolbar">
                    <div class="example-tools">
                        <button class="btn btn-icon btn-sm btn-esp-edit" data-guid="${espInfo.guid}">
                            <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    {{if espInfo.employerOffer}}
                    <h4 class="w-auto font-size-h4 font-weight-bold" style="color:blue">Retirement Plan - ${espInfo.employerOfferString}</h4>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Current Balance:</span>
                                <span class="col-md-4 p-0">${currencyFormat.format(espInfo.espCurrentBalance)}</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Average Rate Of Return:</span>
                                <span class="col-md-4 p-0">${Number(espInfo.espAvgRateReturn).toFixed(2)}%</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Annual Contribution:</span>
                                <span class="col-md-4 p-0">${currencyFormat.format(espInfo.espContributionCalculated)}</span>
                            </div>
                            {{if espInfo.employerOffer != EmployerOfferType.SEPIRA && espInfo.employerOffer != EmployerOfferType.SOLO401K}}
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Annual Employer Match:</span>
                                <span class="col-md-4 align-self-end p-0">${currencyFormat.format(espInfo.espEmployerMatchCalculated)}</span>
                            </div>
                            {{/if}}
                        </div>
                    </div>
                    {{/if}}
                    {{if espInfo.hasPensionPlan}}
                    <hr class="${espInfo.employerOffer?'':'d-none'}" />
                    <h4 class="w-auto font-size-h4 font-weight-bold" style="color:blue">Employer Defined Benefit Pension Plan</h4>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Pension Expected Age:</span>
                                <span class="col-md-4 p-0">${espInfo.pensionExpectedAge}</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Expected Monthly Benefit:</span>
                                <span class="col-md-4 align-self-end p-0">${currencyFormat.format(espInfo.pensionBenefit)}</span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="d-flex align-items-center">
                                <span class="col-md-8 text-dark font-weight-bold p-0">Survivor Benefit:</span>
                                <span class="col-md-4 p-0">${Number(espInfo.pensionSurvivorBenefit).toFixed(2)}%</span>
                            </div>
                        </div>
                    </div>
                    {{/if}}
                </div>
            </div>
        </div>
    </div>
</script>
<script>
    setTimeout(function () {
        KTApp.unblockPage();
        var employmentstatus = $("#EmploymentStatus").val();
        showHideStatus(employmentstatus);
        var hasPension = $("#Esp_HasPensionPlan").is(":checked");
        showHideEsp(hasPension, "pensionplan");
        $("#EspModal").modal({ backdrop: 'static' });
        var offer = $("#Esp_EmployerOffer").val();
        showHideEspOffer(offer);
        showHideStatusEdit(offer, hasPension);
        setWizardOrder();
    }, 2000);
    var onFormCompleteEsp = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        frm_id = frm_id == undefined ? $(frm).attr('id') : frm_id;
        var responseObj = JSON.parse(response.responseText);
        var espinfo = responseObj.data.espInfo;
        espinfo.color = espinfo.clientOccupation.employmentOf == ClientType.CLIENT ? "#b00022" : "#008080";
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#espinfo-${espinfo.guid}`);
                if (div.length > 0)
                    $(`#espinfo-${espinfo.guid}`).html($("#esp-template").tmpl(responseObj.data));
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
                LoadExplicitVue();
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
</script>